POSTgetBlockProduction

Returns recent block production information from the current or previous epoch.

Request Body
jsonrpcstringrequired
idintegerrequired
methodstringrequired
commitmentstring (enum)

The commitment describes how finalized a block is at that point in time.

  • finalized - the node will query the most recent block confirmed by supermajority of the cluster as having reached maximum lockout, meaning the cluster has recognized this block as finalized
  • confirmed - the node will query the most recent block that has been voted on by supermajority of the cluster.
  • processed - the node will query its most recent block. Note that the block may still be skipped by the cluster.
identitystring

Only return results for this validator identity (base-58 encoded).

rangeobject

Slot range to return block production for. If parameter not provided, defaults to current epoch.

firstSlotinteger (uint64)required

first slot to return block production information for (inclusive)

lastSlotinteger (uint64)

last slot to return block production information for (inclusive). If parameter not provided, defaults to the highest slot

Responses
idinteger

The request ID

jsonrpcstring

The JSON-RPC version

contextobject

An object containing metadata about the current state of the Solana network at the time of the request.

apiVersionstring

The API version used for the request

slotinteger

The slot number at which the request was evaluated

valueinteger

The lamport balance of the account

X-API-KEY
RequestCU30
cURL
curl -X POST "https://solana-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "getBlockProduction",
  "params": [
    {
      "commitment": "finalized",
      "identity": "12i8gndWWWMTRzJBFhnYkobNgZB3XMUUJq75HeUrshrk",
      "range": {
        "firstSlot": 363067597,
        "lastSlot": 364115359
      }
    }
  ]
}'
Response
Example · 200
{
  "id": 0,
  "jsonrpc": "string",
  "result": {
    "context": {
      "apiVersion": "string",
      "slot": 0
    },
    "value": 0
  }
}